<?php
//Genesis Framework Notes For FoxyShop
//The Genesis Framework files are wrapped in a function to keep from breaking functionality.
//Note that these templates are based on FoxyShop version 2.8.2. You may have to upate the inside of your theme files.
//Thanks to the guys at http://www.ahsodesigns.com/ for the code.


remove_action('genesis_post_title', 'genesis_do_post_title'); //We're not using the title for this post type
remove_action('genesis_loop', 'genesis_do_loop'); //remove genesis loop
add_action('genesis_loop', 'foxyshop_all_categories_loop'); //add the special FoxyShop All Category loop

function foxyshop_all_categories_loop() {

	//Hide page content if plugin is disabled
	if (function_exists('foxyshop_insert_foxycart_files')) {
	?>
	<div id="foxyshop_container">
		<?php
		//Product Page Header
		foxyshop_include('header');


		//echo '<h1 id="foxyshop_category_title">Products</h1>';

		//Show all children that have a parent of 0 (top level ones)
		//Options: (Parent ID) (Show Product Count in Parentheses) <- Shows all child products (including sub categories)
		foxyshop_category_children(0, false);

		//Product Page Footer
		foxyshop_include('footer');
		?>
	</div>
	<?php } ?>

	<script type="text/javascript">
	jQuery(document).ready(function($){
		//This is set up for a three-column display. For a two column you need to do: nth-child(odd)
		$(".foxyshop_categories>li:nth-child(3n+1)").css("clear","left");
	});
	</script>

<?php } // end foxyshop_all_categories_loop

genesis();
?>