<?php
//Genesis Framework Notes For FoxyShop
//The Genesis Framework files are wrapped in a function to keep from breaking functionality.
//Note that these templates are based on FoxyShop version 2.8.2. You may have to upate the inside of your theme files.
//Thanks to the guys at http://www.ahsodesigns.com/ for the code.


remove_action('genesis_post_title', 'genesis_do_post_title'); //We're not using the title for this post type
remove_action('genesis_loop', 'genesis_do_loop'); //remove genesis loop
add_action('genesis_loop', 'foxyshop_all_products_loop'); //add the special FoxyShop All Products loop

function foxyshop_all_products_loop() {

	//Hide page content if plugin is disabled
	if (function_exists('foxyshop_insert_foxycart_files')) {
	global $product;
	?>
	<div id="foxyshop_container">
		<?php
		//Product Page Header
		foxyshop_include('header');

		//Write Category Title
		echo '<h1 id="foxyshop_category_title">Products</h1>'."\n";

		//Write Product Sort Dropdown
		//foxyshop_sort_dropdown();

		//Feel free to put a store description here
		//echo '<p></p>'."\n";


		//Run the query for all products in this category
		$args = array('post_type' => 'foxyshop_product', 'post_status' => 'publish', 'posts_per_page' => -1);
		$args = array_merge($args,foxyshop_sort_order_array());
		query_posts($args);
		echo '<ul class="foxyshop_product_list">';
		while (have_posts()) :
			the_post();

			//Product Display
			foxyshop_include('product-loop');

		endwhile;
		echo '</ul>';

		//Pagination
		foxyshop_get_pagination();

		//Product Page Footer
		foxyshop_include('footer');
		?>
	</div>
	<?php } ?>

	<script type="text/javascript">
	jQuery(document).ready(function($){
		//This is set up for a two-column display. For a three column you need to do: nth-child(3n+1)
		$(".foxyshop_product_list>li:nth-child(odd)").css("clear","left");
	});
	</script>


<?php } //  end foxyshop_all_products_loop

genesis();
?>